import { Component, Inject } from '@angular/core';
import { HttpClient } from '@angular/common/http';

@Component({
  selector: 'app-calendar',
  templateUrl: './calendar.component.html'
})
export class CalendarComponent {
  public forecasts: CalendarForecast[];

  constructor(http: HttpClient, @Inject('BASE_URL') baseUrl: string) {
    console.log("ws connecting to ws" + baseUrl.substring(4, baseUrl.length) + "ws/calendar");
    var ws = new WebSocket("ws" + baseUrl.substring(4, baseUrl.length) + "ws/calendar");

    ws.onopen = function () {

      // Web Socket is connected, send data using send()
      ws.send("Message to send");
      alert("Message is sent...");
    };

    ws.onmessage = function (evt) {
      var received_msg = evt.data;
      alert("Message is received...");
    };

    ws.onclose = function () {

      // websocket is closed.
      alert("Connection is closed...");
    };
  }
}

interface CalendarForecast {
  dateFormatted: string;
  temperatureC: number;
  temperatureF: number;
  summary: string;
}
